Last Comment Bug 757825 - Chat UI not correctly hidden on existing profiles
: Chat UI not correctly hidden on existing profiles
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 06:27 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-05-25 09:24 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
Fix (1.07 KB, patch)
2012-05-24 06:02 PDT, Florian Quèze [:florian] [:flo]
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-05-23 06:27:05 PDT
I had a report on IRC that on Tb13b2 with an existing profile the "Tools -> Chat Status" and "Go -> Chat" menu items weren't hidden.

There was this error in the error console:

Error: document.getElementById(aId) is null
Line 683
File: chat-messenger-overlay.js
http://mxr.mozilla.org/comm-beta/source/mail/components/im/content/chat-messenger-overlay.js#683

The same problem didn't happen with a fresh profile.

I suspect for some reason the Chat button wasn't present in the toolbar. A trivial fix seems to just add a null check before attempting to hide an element.
Comment 1 Ben Hearsum (:bhearsum) 2012-05-23 06:30:06 PDT
I'm the one that hit this. If I can do anything to assist debugging, just let me know -- I can even package up my profile if that's helpful.
Comment 2 Florian Quèze [:florian] [:flo] 2012-05-24 06:02:23 PDT
Created attachment 626774 [details] [diff] [review]
Fix

Trivial fix (just adding a null check).

[Approval Request Comment]
This bug is currently quite visible on beta where the Chat feature is pref'ed off, so we need this fix on aurora and beta.

Steps to reproduce on current trunk:
- with Chat enabled (the default on trunk), customize the main toolbar and remove the "Chat" button.
- disable chat (set mail.chat.enabled to false)
- restart
- notice the "document.getElementById(aId) is null" error in the error console, and the "Go -> Chat" and "Tools -> Chat status" aren't hidden.
Comment 3 Florian Quèze [:florian] [:flo] 2012-05-25 07:57:52 PDT
https://hg.mozilla.org/comm-central/rev/9c8ea067b3f2

Note You need to log in before you can comment on or make changes to this bug.